Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback

# Class TextFallbackCompareInputData

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback.TextFallbackCompareInputData

public class TextFallbackCompareInputData extends Object
An encapsulation of information about the three sides of a `TextFallbackCompareInput`.

See Also:
  - `}.`

## Constructor Summary

Constructors
Constructor
Description
`TextFallbackCompareInputData(EObject eObject)`
Creates an instance for the given object.

## Method Summary

Modifier and Type
Method
Description
`EObject`
`getLeft()`
`Resource`
`getLeftResource()`
`org.eclipse.core.resources.IStorage`
`getLeftStorage()`
`org.eclipse.compare.ITypedElement`
`getLeftTypedElement()`
`EObject`
`getOrigin()`
`Resource`
`getOriginResource()`
`org.eclipse.core.resources.IStorage`
`getOriginStorage()`
`org.eclipse.compare.ITypedElement`
`getOriginTypedElement()`
`EObject`
`getRight()`
`Resource`
`getRightResource()`
`org.eclipse.core.resources.IStorage`
`getRightStorage()`
`org.eclipse.compare.ITypedElement`
`getRightTypedElement()`
`boolean`
`hasTypedElement()`
Returns `true`, when at least one of `originTypedElement`, `leftTypedElement`, or `rightTypedElement` is not `null`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextFallbackCompareInputData

public TextFallbackCompareInputData(EObject eObject)
Creates an instance for the given object. It calls `populate(EObject)` to populate the `origin`, `originResource`, `left`, `leftResource`, `right`, and `rightResource` followed by `populateStorage()` to populate the `originStorage`, `originTypedElement`, `leftStorage`, `leftTypedElement`, `rightStorage`, and `rightTypedElement`.

Parameters:
  `eObject` - the object for which to populate the sides of the text input data.

## Method Details

### hasTypedElement

public boolean hasTypedElement()
Returns `true`, when at least one of `originTypedElement`, `leftTypedElement`, or `rightTypedElement` is not `null`.

Returns:
  whether this text input data has a typed element for at least one of the sides.

### getOrigin

public EObject getOrigin()

### getOriginResource

public Resource getOriginResource()

### getOriginStorage

public org.eclipse.core.resources.IStorage getOriginStorage()

### getOriginTypedElement

public org.eclipse.compare.ITypedElement getOriginTypedElement()

### getLeft

public EObject getLeft()

### getLeftResource

public Resource getLeftResource()

### getLeftStorage

public org.eclipse.core.resources.IStorage getLeftStorage()

### getLeftTypedElement

public org.eclipse.compare.ITypedElement getLeftTypedElement()

### getRight

public EObject getRight()

### getRightResource

public Resource getRightResource()

### getRightStorage

public org.eclipse.core.resources.IStorage getRightStorage()

### getRightTypedElement

public org.eclipse.compare.ITypedElement getRightTypedElement()